package TestSuite.tablesFor_test;

import com.ibm.ccl.soa.test.ctnative.runtime.datatable.*;
import com.ibm.ccl.soa.test.ctnative.runtime.event.*;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.*;
import com.ibm.ccl.soa.test.ctnative.runtime.iterator.*;
import java.util.*;

import com.ibm.ccl.soa.test.common.models.value.ValueElement;
import com.ibm.wbit.comptest.controller.manipulator.impl.GetValueOverrides;
import com.ibm.wbit.comptest.controller.manipulator.impl.ConstructorOverrides;
import org.w3c.dom.Document;
import com.ibm.ccl.soa.test.ctnative.runtime.utils.PrimitiveObjectTypeCreator;
import com.ibm.wbit.comptest.controller.util.CTValueElementToXMLSerializer;
import com.ibm.ccl.soa.test.ctnative.runtime.datatable.DataSet;
import com.ibm.wbit.comptest.ctnative.runtime.utils.*;


/**
 *
 * Data Table: NACHAValidationTS
 *
 */
@SuppressWarnings("all")
public class NACHAValidationTS_DataTable extends DataTable {
  public NACHAValidationTS_DataTable(String name) {
      super(name);                                      
  }
  
  
    // Test Case global identifier
    TC_Test_validate tcTest_validate = new TC_Test_validate("test_validate", this);

/**
 *
 * Test Case: test_validate
 *
 */
public class TC_Test_validate extends TestCaseData {
  public TC_Test_validate(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1236993802343_202125() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/NACHAValidationModuleWeb/sca/NACHAValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1236993802343_202125(Object parent) throws Exception{
return getField_1236993802343_202125();
}
public String createValue_1236993802343_202125() throws Exception{
String serviceAddress = constructField_1236993802343_202125(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1236993802343_202125();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1236993802484_202524() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1236993802484_202524();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Nacha_positive_request tcTest_Nacha_positive_request = new TC_Test_Nacha_positive_request("test_Nacha_positive_request", this);

/**
 *
 * Test Case: test_Nacha_positive_request
 *
 */
public class TC_Test_Nacha_positive_request extends TestCaseData {
  public TC_Test_Nacha_positive_request(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237540461031_23065() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/NACHAValidationModuleWeb/sca/NACHAValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237540461031_23065(Object parent) throws Exception{
return getField_1237540461031_23065();
}
public String createValue_1237540461031_23065() throws Exception{
String serviceAddress = constructField_1237540461031_23065(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237540461031_23065();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237540479906_24725() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237540479906_24725();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_iso20022_transaction_code_invalid tcTest_iso20022_transaction_code_invalid = new TC_Test_iso20022_transaction_code_invalid("test_iso20022_transaction_code_invalid", this);

/**
 *
 * Test Case: test_iso20022_transaction_code_invalid
 *
 */
public class TC_Test_iso20022_transaction_code_invalid extends TestCaseData {
  public TC_Test_iso20022_transaction_code_invalid(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237541039734_29991() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/NACHAValidationModuleWeb/sca/NACHAValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237541039734_29991(Object parent) throws Exception{
return getField_1237541039734_29991();
}
public String createValue_1237541039734_29991() throws Exception{
String serviceAddress = constructField_1237541039734_29991(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237541039734_29991();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237541047625_31405() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237541047625_31405();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
    // Test Case global identifier
    TC_Test_Iso20022_AddendaIndicator_invalid tcTest_Iso20022_AddendaIndicator_invalid = new TC_Test_Iso20022_AddendaIndicator_invalid("test_Iso20022_AddendaIndicator_invalid", this);

/**
 *
 * Test Case: test_Iso20022_AddendaIndicator_invalid
 *
 */
public class TC_Test_Iso20022_AddendaIndicator_invalid extends TestCaseData {
  public TC_Test_Iso20022_AddendaIndicator_invalid(String name, IDataTable table) {
      super(name, table);                                      
  }
  
  
    // Data Set global identifier
    DS_Default tcDefault = new DS_Default("Default", this);
/**
 * 
 * Data Set: Default
 *
 */
public class DS_Default extends DataSet {
   public DS_Default(String name, ITestCaseData testData) {
      super(name, testData);
   }
   
   
    public String serviceAddress;
    DE_ServiceAddress deServiceAddress = new DE_ServiceAddress("serviceAddress", this);

/**
 * Data Set Row serviceAddress
 */
public class DE_ServiceAddress extends AbstractInputDataEntry {
   public DE_ServiceAddress(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
// Get field function for serviceAddress
public String getField_1237541500046_38954() throws Exception 
{
   return (java.lang.String)PrimitiveObjectTypeCreator.createObjectFromString("http://localhost:9080/NACHAValidationModuleWeb/sca/NACHAValidationServicePortTypeExport",java.lang.String.class);

}String constructField_1237541500046_38954(Object parent) throws Exception{
return getField_1237541500046_38954();
}
public String createValue_1237541500046_38954() throws Exception{
String serviceAddress = constructField_1237541500046_38954(null);
return serviceAddress;
}

   
   public Object getValue() throws Exception
   {
      return serviceAddress;

   }
   
   public void initValue() throws Exception
   {
         serviceAddress = createValue_1237541500046_38954();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document request;
    DE_Request deRequest = new DE_Request("request", this);

/**
 * Data Set Row request
 */
public class DE_Request extends AbstractInputDataEntry {
   public DE_Request(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   GetValueOverrides fieldOverrides = new GetValueOverrides();ConstructorOverrides constructorOverrides = new ConstructorOverrides();public Document createValue_1237541510984_40370() throws Exception{
CTValueElementToXMLSerializer serializer = new CTValueElementToXMLSerializer();ValueElement valModel = getDataSetValue().getValue();valModel.setName("Envelope");request = serializer.createDocument(valModel,false,constructorOverrides,fieldOverrides);return request;
}

   
   public Object getValue() throws Exception
   {
      return request;

   }
   
   public void initValue() throws Exception
   {
         request = createValue_1237541510984_40370();
   }
   
   public ICompositeValueIterator getCompositeValueIterator()
   {
       return super.getCompositeValueIterator();
   }
}

    public Document response;
    DE_Response deResponse = new DE_Response("response", this);

/**
 * Data Set Row response
 */
public class DE_Response extends AbstractOutputDataEntry {
   public DE_Response(String name, IDataEntrySection parent) {
      super(name, parent);
   }
   
   
   
   public Object getValue() throws Exception
   {
      return response;

   }
   
   public void setValue(Object value) throws Exception
   {
      response = (org.w3c.dom.Document)value;
   }
   
   
   public ICompositeValueIterator getCompositeValueIterator()
    {
        return super.getCompositeValueIterator();
    }
}


}
}
}